> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all locations

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/entries/partners/{entryId}/locations/

Return Location details

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/locations/get-all-locations

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — id of the directory
- `entryId` (string, required) — id of the Partner entry

## Response

### 200

Successful operation

- `list of PartnerLocationDetailSerializerReader`

## Errors

### 404 Not Found Error

Location not found

- `any`

## Types

### PartnerLocationDetailSerializerReader

- `id` (string, required)
- `title` (string, required)
- `order` (integer, required)
- `country` (integer, required)
- `countryName` (string, required)
- `region` (integer, required, nullable)
- `regionName` (string, required, nullable)
- `city` (integer, required, nullable)
- `cityName` (string, required, nullable)

## Examples

**Response**

```json
[
  {
    "0": {
      "city": 26345,
      "country": 234,
      "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
      "order": 0,
      "region": 3650
    },
    "1": {
      "city": 26345,
      "country": 234,
      "id": "f696770b-1fd5-474b-8ceb-20aba300fcf3",
      "order": 1,
      "region": 3650
    },
    "id": "string",
    "title": "string",
    "order": 1,
    "country": 1,
    "countryName": "string",
    "region": 1,
    "regionName": "string",
    "city": 1,
    "cityName": "string"
  }
]
```

**SDK Code**

```python Example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/locations/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/locations/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```